
---@class copas_ftp*
---@type copas_ftp*
local M = {}

--- 执行 FTP command。
---@param request table 请求参数。
---@return any result 结果。
function M.command(request) end

--- 下载 FTP 内容。
---@param request string|table URL 或请求表。
---@return string|integer|nil bodyOrOk 响应体或状态。
---@return string? errMsg 错误信息。
function M.get(request) end

--- 解析 FTP 请求。
---@param url string|table URL 或请求表。
---@param body? string 请求体。
---@return table request 请求表。
function M.parseRequest(url, body) end

--- 上传 FTP 内容。
---@param request string|table URL 或请求表。
---@param body? string 请求体。
---@return string|integer|nil result 结果。
---@return string? errMsg 错误信息。
function M.put(request, body) end

return M
